
%if 0%{?with_debug}
# https://bugzilla.redhat.com/show_bug.cgi?id=995136#c12
%global _dwz_low_mem_die_limit 0
%else
%global debug_package   %{nil}
%endif

%define agent_release %(echo "${AGENT_RELEASE:-11}")
%define osbuilder_release %{agent_release}
%global golang_version 1.20.12
%global _buildhost build-ol%{?oraclelinux}-%{?_arch}.oracle.com

Name:     kata-image
Version:  1.12.1
Release:  %{agent_release}.%{osbuilder_release}.ol%{oraclelinux}_%{build_date}
License:  Oracle Linux License Agreement
Vendor:   Oracle America
Summary:  Oracle Linux image for Kata containers
Group:    image
Source:   %{name}-%{version}.tar.bz2

BuildRequires: golang >= %{golang_version}
BuildRequires: qemu-img
BuildRequires: parted
BuildRequires: e2fsprogs
BuildRequires: util-linux
# yq 4 will give the following errors
# https://github.com/kubeflow/website/issues/2419
# for file ./scripts/lib.sh
BuildRequires: yq < 4.0.0
BuildRequires: wget

%description
Kata Containers Image based upon Oracle Linux

%prep
%setup -q

%build
%ifarch %{arm} arm64 aarch64
export ARCH=aarch64
%else
export ARCH=x86_64
%endif

export GO111MODULE=auto
echo kata_image_release=%{release}
echo build_date=%{build_date}
echo release=%{release}
export VERSION=${AGENT_VERSION:-%{version}}
export RELEASE=${AGENT_RELEASE:-%{agent_release}}%{?dist}
sh build_kata_image %{?oraclelinux}

%install
ImageDir=%{buildroot}/usr/share/kata-containers
mkdir -p ${ImageDir}
install -p kata-containers.img ${ImageDir}/kata-containers-%{version}.img
install -p kata-containers-initrd.img ${ImageDir}/kata-containers-initrd-%{version}.img
ln -sf kata-containers-%{version}.img ${ImageDir}/kata-containers.img
ln -sf kata-containers-initrd-%{version}.img ${ImageDir}/kata-containers-initrd.img

# Deliver the License
mkdir -p %{buildroot}/usr/share/doc/%{name}-%{version}
install -p buildrpm/EULA %{buildroot}/usr/share/doc/%{name}-%{version}/EULA

%files
%license buildrpm/EULA
%dir /usr/share/kata-containers
/usr/share/kata-containers/kata-containers-%{version}.img
/usr/share/kata-containers/kata-containers-initrd-%{version}.img
/usr/share/kata-containers/kata-containers.img
/usr/share/kata-containers/kata-containers-initrd.img
%doc /usr/share/doc/%{name}-%{version}/EULA

%changelog
* Wed Dec 21 2023 Thomas Tanaka <thomas.tanaka@oracle.com> - 1.12.1-11
- Rebuild with -11 tag

* Tue Dec 13 2023 Prasad Shirodkar <prasad.shirodkar@oracle.com> - 1.12.1-10
- Updated Golang to 1.20.12 to address CVE CVE-2023-39326

* Thu Nov 2 2023 Guoyong Zhang <guoyong.zhang@oracle.com> - 1.12.1-9
- Updated to address CVE-2023-44487 and CVE-2023-39325

* Thu Aug 24 2023 Murali Annamneni <murali.annamneni@oracle.com> - 1.12.1-8
- Remove build_date global variable in specfile

* Thu Aug 03 2023 Murali Annamneni <murali.annamneni@oracle.com> - 1.12.1-7
- Add support for ARM build

* Wed May 31 2023 Michael Thompson <michael.a.thompson@oracle.com> - 1.12.1-6
- Restore OL7 and bump release

* Thu Oct 13 2022 Michael Thompson <michael.a.thompson@oracle.com> - 1.12.1-5
- Add support for Oracle Linux 9

* Mon Apr 25 2022 Durai Govindasamy <durai.vattakalvalasu.govindas@oracle.com> - 1.12.1-4
- build for kata-agent-1.12.1-4

* Mon Nov 22 2021 Durai Govindasamy <durai.vattakalvalasu.govindas@oracle.com> - 1.12.1-3
- updated golang version
- added buildhost variable

* Tue Mar 23 2021 Thomas Tanaka <thomas.tanaka@oracle.com> - 1.12.1-2
- Golang 1.15.9

* Thu Mar 04 2021 Olcne-Builder Jenkins <olcne-builder_us@oracle.com> - 1.12.1-1
- Added Oracle Specific Build Files for kata-image
